{ pkgs, lib, ... }:
{
  programs.vscode = {
    enable = true;
    enableUpdateCheck = true;
    enableExtensionUpdateCheck = true;
    extensions =
      with pkgs.vscode-extensions;
      [
        catppuccin.catppuccin-vsc
        catppuccin.catppuccin-vsc-icons
        golang.go
        vscodevim.vim
        # ms-python.python
        ms-vscode-remote.remote-ssh
        bbenoist.nix
      ]
      ++ [
        (lib.warn "Using vscode-extensions.ms-python.python from nixpkgs master!" pkgs.master.vscode-extensions.ms-python.python)
      ];
    userSettings = {
      "window.titleBarStyle" = "custom";
    };
  };
}
